LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
OLESimpleStorage Service Referencepublished

This service provides a simple functionality to allow read/write the storages in OLE storage format. More...

`import"OLESimpleStorage.idl";`

Inheritance diagram for OLESimpleStorage:

## Public Member Functions
| createFromInputStream ([in] ::com::sun::star::io::XInputStream xInputStream, [in] boolean bNoTempCopy)
| is used to initialize the object on it's creation. More...
| createFromStream ([in] ::com::sun::star::io::XStream xStream, [in] boolean bNoTempCopy)
| is used to initialize the object on it's creation. More...
Public Member Functions inherited from XNameContainer
void | insertByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified name. More...
void | removeByName ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the element with the specified name. More...
Public Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XTransactedObject
void | commit () raises ( ::com::sun::star::io::IOException, ::com::sun::star::lang::WrappedTargetException )
| commits the changes made for object. More...
void | revert () raises ( ::com::sun::star::io::IOException, ::com::sun::star::lang::WrappedTargetException )
| removes all the changes made for the object after last commit or loading. More...
Public Member Functions inherited from XClassifiedObject
sequence< byte > | getClassID ()
| retrieves class ID of the object. More...
string | getClassName ()
| retrieves symbolic name for the object type to be used in UI. More...
void | setClassInfo ([in] sequence< byte > aClassID, [in] string sClassName) raises ( ::com::sun::star::lang::NoSupportException )
| sets the class ID and symbolic name to an object. More...

## Additional Inherited Members
Exported Interfaces inherited from XOLESimpleStorage
interface | ::com::sun::star::container::XNameContainer
| interface XNameContainer is the generic interface for supporting the insertion and removal of named elements. More...
interface | ::com::sun::star::lang::XComponent
| interface XComponent allows to explicitly free resources and break cyclic references. More...
interface | XTransactedObject
| interface XTransactedObject allows transacted access to an object. More...
interface | XClassifiedObject
| interface XClassifiedObject represents common functionality for embedded objects More...

## Detailed Description

This service provides a simple functionality to allow read/write the storages in OLE storage format.

## Member Function Documentation

## ◆ createFromInputStream()

createFromInputStream | ( | [in] ::com::sun::star::io::XInputStream | xInputStream,
|  | [in] boolean | bNoTempCopy
| ) |  |

is used to initialize the object on it's creation.

Parameters

  xInputStream | [in] the InputStream that contains data in OLE storage format.
  bNoTempCopy | [in] specifies whether a temporary copy should be created during substreams opening. If the copy is not created the storage must stay alive while the opened substreams are used.

## ◆ createFromStream()

createFromStream | ( | [in] ::com::sun::star::io::XStream | xStream,
|  | [in] boolean | bNoTempCopy
| ) |  |

is used to initialize the object on it's creation.

Parameters

  xStream | [in] the Stream that contains data in OLE storage format.
  bNoTempCopy | [in] specifies whether a temporary copy should be created during substreams opening. If the copy is not created the storage must stay alive while the opened substreams are used.

The documentation for this service was generated from the following file:

- com/sun/star/embed/OLESimpleStorage.idl